Bug 1410687 - The bug CC list appears empty
Summary: The bug CC list appears empty
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs
Version: 5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 5.0
Assignee: Jeff Fearn 🐞
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-06 05:32 UTC by Jason McDonald
Modified: 2018-12-09 06:29 UTC (History)
5 users (show)

Fixed In Version: 5.0.3-rh32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-28 06:43:30 UTC


Attachments (Terms of Use)

Description Jason McDonald 2017-01-06 05:32:50 UTC
Description of problem:
In Bugzilla 5, the CC list has changed from a plain list widget to a Selectize drop-down.

When not focused, the drop-down appears to be empty.  It should not be necessary for the user to open the drop-down and scroll it to see who is on the CC list.  Selectize is probably not the right choice of widget here.

Version-Release number of selected component (if applicable):
5.0.3

How reproducible:
Always

Steps to Reproduce:
1. View a bug that has a non-empty CC list.
2. Click the 'edit' link next to the CC list.

Actual results:
After step 2, there is an unlabelled and blank drop-down widget below the 'Add' input box.

Expected results:
The CC list is shown as a plain list widget, as in Bugzilla 4.

(I also considered the possibility of the unexpanded drop-down displaying the cc list like the Component drop-down does, but that seems like a bad idea to me, as the CC List widget also doubles as a selector for the users to be removed from CC.)

Additional info:
none

Comment 1 Jeff Fearn 🐞 2017-01-12 01:31:38 UTC
I like the new layout and functionality and find it an improvement, this needs to be a user option as the proposed changes are a regression in usability to me.

Comment 2 Jeff Fearn 🐞 2017-01-15 23:23:43 UTC
I'd like to leave this as is and see what the reaction is in the public beta

Comment 3 Jeff Fearn 🐞 2017-01-18 07:34:50 UTC
Might use the same style as applied to the multi-select on the change columns page.

Comment 4 Jeff Fearn 🐞 2017-02-06 02:42:14 UTC
Putting this off until we get more feedback.

Comment 5 Alasdair Kergon 2017-05-08 23:32:35 UTC
If you aren't logged in, you still get to play at selecting/removing each of the Cc entries from the list one-by-one, even though you've no button to submit the form!

Comment 7 Jeff Fearn 🐞 2017-07-24 04:32:13 UTC
Removed selectize.


Note You need to log in before you can comment on or make changes to this bug.